import { ColorScaleProps, ColorScaleSpec, ContinuousScaleProps, ContinuousScaleSpec, RecordWithId, SizeScaleProps, SizeScaleSpec, SizeSpec } from '@chsk/core';
import { ScatterDataContextProps, ScatterInteractiveDataItem, ScatterProcessedDataItem } from './types';
export declare const getXYScaleProps: (data: Array<ScatterProcessedDataItem>, scaleSpecX: ContinuousScaleSpec, scaleSpecY: ContinuousScaleSpec, size: SizeSpec, disabled: boolean[]) => {
    x: ContinuousScaleProps;
    y: ContinuousScaleProps;
};
export declare const getSizeScaleProps: (data: ScatterProcessedDataItem[], scaleSpec: SizeScaleSpec, maxSize: unknown) => SizeScaleProps;
export declare const getColorScaleProps: (data: ScatterProcessedDataItem[], scaleSpec: ColorScaleSpec, seriesIds: string[]) => ColorScaleProps;
export declare const getSymbolData: (processedData: Array<RecordWithId>, preparedData: ScatterDataContextProps) => Array<ScatterInteractiveDataItem[]>;
export declare const distanceSquared: (a: number[], b: number[]) => number;
export type targetData = [number, number, number, number];
export declare const getTargets: (preparedData: ScatterDataContextProps, disabledKeys: Set<string>) => targetData[];
//# sourceMappingURL=helpers.d.ts.map